YADE(1)

NAME
Yade - manual page for Yade version: 2025.2.0

DESCRIPTION
usage: yade-double [options] [ simulation.xml[.bz2] | script.py [script options]]

Yade: open-source platform for dynamic computations. It is an extensible opensource framework for discrete numerical models, focused on Discrete Element Method. The computation parts are written in c++ using flexible object model, allowing independent implementation of new algorithms and interfaces. Python is used for rapid and concise scene construction, simulation control, postprocessing and debugging. Available features: ['LOGGER', 'USEFUL_ERRORS', 'COMPLEX_MP', 'MPFR', 'MPC', 'VTK', 'OPENMP', 'GTS', 'QT5', 'LS_DEM', 'FEMLIKE', 'GL2PS', 'LBMFLOW', 'POTENTIAL_PARTICLES']. Homepage http://www.yade-dem.org, code hosted at http://www.launchpad.net/yade.

  options:

-h, --help
    show this help message and exit

-v, --version
    Print version and exit.

-j, --threads THREADS
    Number of OpenMP threads to run; defaults to 1. Equivalent to setting OMP_NUM_THREADS environment variable.

--cores CORES
    Set number of OpenMP threads (as \-\-threads) and in addition set affinity of threads to the cores given. Please provide a string with comma-separated core-ids.

--update UPDATESCRIPTS [UPDATESCRIPTS ...]
    Update deprecated class names in given script(s) using text search & replace. Changed files will be backed up with ~ suffix. Exit when done without running any simulation.

--nice NICE
    Increase nice level (i.e. decrease priority) by given number.

-x  Exit when the script finishes

-f VERBOSITY
    Set "Default" filter for logging https://yadedem.org/doc/prog.html#logging, default is -f3 for all classes.

-n  Run without graphical interface (equivalent to unsetting the DISPLAY environment variable)

--test
    Run regression test suite and exit; the exists status is 0 if all tests pass, 1 if a test fails and 2 for an unspecified exception.

--check
    Run a quick series of user-defined check tests as described in /yade/scripts/checks-andtests/checks/README and https://yadedem.org/doc/prog.html#regression-tests

--checkall
    Run a full series of user-defined check tests as described in /yade/scripts/checks-andtests/checks/README and https://yadedem.org/doc/prog.html#regression-tests

--performance
    Starts a regular test to measure the productivity

--quickperformance
    Starts a quick test to measure the productivity

--stdperformance STDPERFORMANCE
    Starts N large tests on 10000 spheres. Do not start this test while other programs are running. In such case it is unlikely that an average with low standard deviation will be found.

-L, --libs IMPLIBRARIES
    import libraries at startup before importing yade libs. May be used when the ordering of imports matter (see fixed bug (on old site) https://bugs.launchpad.net/yade/+bug/1183402 and discussion in https://gitlab.com/yadedev/trunk/issues/18). The option can be used multiple times, as in "yade -Llib1 -Llib2"

SEE ALSO
The full documentation for Yade is maintained as a Texinfo manual. If the info and Yade programs are properly installed at your site, the command

    info Yade

should give you access to the complete manual.